Skip to navigation

Connect Source Account

Connects a source cloud account to the given project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"

ID of the project you want to connect the source account to. You can get your project ID from the API Credentials page in your global management console.

Request

This endpoint expects an object.
sourceAccountAttributesobjectRequired

Cloud-provider-specific configuration for the source account.

namestringOptional
Account display name in Eon.

Response

Source account connected.
sourceAccountobject
Source account.

Errors

409
Conflict Error